[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] qemu-kvm>=0.14 is unable to boot



On 08/03/2011 01:16 AM, Zdenek Styblik wrote:
Hello,

I'm wondering what might be behind qemu-kvm>=0.14 is unable to boot
except from PXE and perhaps virtio HDD.

I mean, is somebody running qemu-kvm>=0.14 and libvirt-0.9.3/0.9.4
around here, thus is my setup broken?

I had the problem that qemu-kvm-0.14 and libvirt-0.9.3 was unable to boot a *virtio* disk (which is exactly the opposite of what you type, but just in case that was a typo...). This was because qemu 0.14 was advertising (in the help) that bootindex was available, and libvirt saw that and told qemu to use it, but the version of seabios on my system (Fedora 14, running seabios-0.6.0) was too old to support it, so the boot failed. The solution was to add "<bootmenu enable='yes'/>" to the guest's config, which forces it to not use bootindex, and thus the guest will boot.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]